List Part
curl --request GET \
--url https://api.lab.fieldnode.dev/v1/parts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lab.fieldnode.dev/v1/parts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lab.fieldnode.dev/v1/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"title": "<string>",
"serialId": "<string>",
"ipOwnerId": "<string>",
"internal": true,
"published": true,
"requireSubscription": true,
"keywords": [
"<string>"
],
"createdTime": "2023-11-07T05:31:56Z",
"modifiedTime": "2023-11-07T05:31:56Z",
"customFields": [
{
"dropdownId": "<string>",
"dropdownLabel": "<string>",
"multiselect": true,
"selectedOptions": [
{
"id": "<string>",
"label": "<string>",
"value": "<string>"
}
]
}
],
"parentId": "<string>",
"versionName": "<string>",
"externalRef": "<string>",
"description": "<string>",
"processId": "<string>",
"materialId": "<string>",
"standardIds": [
"<string>"
],
"criticalityIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"unspscCategoryIds": [
"<string>"
],
"dimensions": {
"angle": 123,
"depth": 123,
"width": 123,
"height": 123,
"length": 123,
"radius": 123,
"volume": 123,
"weight": 123,
"tolerance": 123,
"threadSize": 123,
"chamferSize": 123,
"surfaceArea": 123,
"filletRadius": 123,
"holeDiameter": 123,
"innerDiameter": 123,
"outerDiameter": 123,
"wallThickness": 123,
"holeChamferSize": 123
},
"boundingBox": {
"x": 123,
"y": 123,
"z": 123
}
}
],
"hasMore": true
}{
"status": 123,
"message": "<string>"
}Part
List Part
List multiple parts with pagination.
GET
/
v1
/
parts
List Part
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination, starting at 1.
Required range:
x >= 1Page size for pagination.
Required range:
1 <= x <= 50View mode for listing parts.
Available options:
CONSUMER, IP_OWNER